Subject: Re: bug#57503: 28.1.91; package-selected-packages should not be saved to custom-file

From: Robert Pluim <[email-masked]>
Date: Mon, 05 Sep 2022 13:51:00 +0200

>>>>> On Mon, 05 Sep 2022 13:16:24 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Robert Pluim <[email-masked]> writes:
    >> Iʼm not convinced thatʼs necessary. I just did the following:
    >> 
    >> 1. emacs-29+my patch, install some packages => no package-selected-packages
    >> setting
    >> 2. emacs-28, run `package-list-packagesʼ => package-selected-packages
    >> is populated with packages set in step 1, and saved in .emacs

    Lars> Oh, I didn't know that it was automatically recreated.  Then what's the
    Lars> point of the variable?  According to the doc string:

I guess reading a variable is faster than recursing over the elpa
directory.

    Lars> ---
    Lars> Store here packages installed explicitly by user.
    Lars> ---

    Lars> Does 2) there get that right, or does it contain all packages installed,
    Lars> explicitly or not?

It contains the packages I installed using 'i' in list-packages, but
not their automatically installed dependencies.

Robert
--